from parallels.core.utils.entity import Entity


class MailName(Entity):
    def __init__(self, mail_name_id, domain_id, name, spamfilter, virusfilter):
        self._mail_name_id = mail_name_id
        self._domain_id = domain_id
        self._name = name
        self._spamfilter = spamfilter
        self._virusfilter = virusfilter

    @property
    def mail_name_id(self):
        """
        :rtype: str | unicode
        """
        return self._mail_name_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def spamfilter(self):
        """
        :rtype: str | unicode | None
        """
        return self._spamfilter

    @property
    def virusfilter(self):
        """
        :rtype: str | unicode | None
        """
        return self._virusfilter
